<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
  <div class="bottom-spacing"></div>
  </div>
</template>

<script>
export default {
  data(){
    return {
      posts: []
    }
  },
  async asyncData({app, $services, $links}){
    console.log("AsyncData called")
    var i18n = app.i18n

    return {
          posts: [
        {
          thread: false,
          header: {
            text: i18n.t("Network Explorers"),
            avatar: require("~/assets/images/network-explorers-view/avatar-magnifying-glass.svg"),
          },
          layers: [
            {
              type: "text",
              text: [i18n.t("The community has developed a variety of network explorer tools, so that you can verify THORChain transactions, pools, solvency, nodes and more.")],
            },
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/network-explorers-view/avatar-viewblock.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/network-explorers-view/viewblock-card.svg"),
            },
            {type: 'table-links', links: [
              {text: i18n.t("Viewblock (Block Explorer)")},
              {text: i18n.t("Mainnet"), link: $links('network_explorers_viewblock_mccn')},
              {text: i18n.t("Stagenet"), link: $links('network_explorers_viewblock_stagenet')}
            ]},
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/network-explorers-view/avatar-thormon.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/network-explorers-view/thormon-card.svg"),
            },
            {type: 'table-links', links: [
              {text: i18n.t("Thorchain Explorer")},
              {text: i18n.t("Web App"), link: $links('network_explorers_thormon_web_app')}
            ]},
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/network-explorers-view/avatar-thorchainalerts.svg"),
          },
          layers: [
            {type: 'table-links', links: [
              {text: i18n.t("THORChain Alerts Bot")},
              {text: i18n.t("Telegram"), link: $links('network_explorers_thorchain_alerts_bot_telegram')}
            ]},
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/network-explorers-view/avatar-thorchainbot.svg"),
          },
          layers: [
            {type: 'table-links', links: [
              {text: i18n.t("THORChain Bot")},
              {text: i18n.t("Twitter"), link: $links('network_explorers_thorchain_bot_twitter')}
            ]},
          ],
          endLine: false,
        },
      ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
